#This is R code provided by Jon Schwabish at PolicyViz.com that reads in
#data from the NHLAPI to pull height and weight data for NHL goalies.

#install.packages("nhlapi")
library(nhlapi)
library(tidyverse)
library(writexl)

names <- c(
"Georges Vezina", 
"Bert Lindsay", 
"Hap Holmes", 
"Sammy Hebert", 
"Art Brooks", 
"Clint Benedict", 
"Sprague Cleghorn", 
"Harry Mummery", 
"Ivan Mitchell", 
"Howard Lockhart", 
"Jake Forbes", 
"Jack Darragh", 
"Frank Brophy", 
"John Ross Roach", 
"Charles Stewart", 
"Jesse Spring", 
"George Redding", 
"Dunc Munro", 
"Hec Fowler", 
"Alec Connell", 
"King Clancy", 
"Roy Worters", 
"Moe Roberts", 
"Herb Rheaume", 
"Frenchy Lacroix", 
"Joe Ironstone", 
"Odie Cleghorn", 
"Hal Winkler", 
"Flat Walsh", 
"Herb Stuart", 
"Hugh Lehman", 
"George Hainsworth", 
"Lorne Chabot", 
"Joe Miller", 
"Normie Himes", 
"Charlie Gardiner", 
"Tiny Thompson", 
"Benny Grant", 
"Dolly Dolson", 
"Red Spooner", 
"Mickey Murray", 
"Abbie Cox", 
"Bill Beveridge", 
"Dave Kerr", 
"Wilf Cude", 
"Harold Starr", 
"Normie Smith", 
"Al Shields", 
"Alex Levinsky", 
"Albert Leduc", 
"Percy Jackson", 
"Red Horner", 
"Hugh Plaxton", 
"Charlie Conacher", 
"Andy Aitkenhead", 
"Doug Young", 
"Mike Karakas", 
"Bert Gardiner", 
"Alex Wood", 
"Alfie Moore", 
"Turk Broda", 
"Earl Robertson", 
"Paul Gauthier", 
"Jim Franks", 
"Harvey Teno", 
"Roger Jenkins", 
"Frank Brimsek", 
"Claude Bourque", 
"Phil Stein", 
"Charlie Sands", 
"Paul Goodman", 
"Chuck Rayner", 
"Johnny Mowers", 
"Sam LoPresti", 
"Andy Branigan", 
"Paul Bibeault", 
"Joe Turner", 
"Jim Henry", 
"Bill Dickie", 
"Nick Damore", 
"Steve Buzinski", 
"Lionel Bouvrette", 
"Ken McAuley", 
"Jean Marois", 
"Harry Lumley", 
"Hec Highton", 
"Bill Durnan", 
"Connie Dion", 
"Maurice Courteau", 
"George Abbott", 
"Doug Stevenson", 
"Frank McCool", 
"Harvey Bennett", 
"Gordie Bell", 
"Baz Bastien", 
"Emile Francis", 
"Red Almas", 
"Gerry McNeil", 
"Tom McGrattan", 
"Doug Jackson", 
"Bob Decourcy", 
"Gord Henry", 
"Jack Gelineau", 
"Les Colvin", 
"Terry Sawchuk", 
"Al Rollins", 
"Gilles Mayer", 
"Richard Bittner", 
"Marcel Pelletier", 
"Lorne Anderson", 
"Gump Worsley", 
"Jacques Plante", 
"Hal Murphy", 
"Glenn Hall", 
"Lefty Wilson", 
"Dave Gatherum", 
"Johnny Bower", 
"Charlie Hodge", 
"John Henderson", 
"Ray Frederick", 
"Claude Evans", 
"Andre Binette", 
"Hank Bassen", 
"Claude Pronovost", 
"Bob Perreault", 
"Ed Chadwick", 
"Don Simmons", 
"Norm Defelice", 
"Marcel Paille", 
"Al Millar", 
"Len Broderick", 
"Don Aiken", 
"Julian Klymkiw", 
"Don Keenan", 
"Bruce Gamble", 
"Claude Cyr", 
"Joe Schaefer", 
"Dennis Riggin", 
"Jack McCartan", 
"Gilles Boisvert", 
"Jerry Toppazzini", 
"Gerry McNamara", 
"Cesare Maniago", 
"Dan Olesevich", 
"Don Head", 
"Dave Dryden", 
"Gerry Cheevers", 
"Ernie Wakely", 
"Eddie Johnston", 
"Denis DeJordy", 
"Gilles Villemure", 
"Pat Rupp", 
"Jean-Guy Morissette", 
"Harrison Gray", 
"Roger Crozier", 
"Carl Wetzel", 
"Jack Norris", 
"Gary Smith", 
"Al Smith", 
"Bob Ring", 
"Bernie Parent", 
"Ed Giacomin", 
"George Gardner", 
"Rogie Vachon", 
"Gary Bauman", 
"Wayne Rutledge", 
"Seth Martin", 
"Andre Gill", 
"Doug Favell", 
"Roy Edwards", 
"Jacques Caron", 
"Don Caley", 
"Les Binkley", 
"Chris Worthy", 
"Fern Rivard", 
"Ted Ouimet", 
"Joe Junkin", 
"Robbie Irons", 
"Tony Esposito", 
"Marv Edwards", 
"Gary Edwards", 
"Gerry Desjardins", 
"Joe Daley", 
"Dunc Wilson", 
"Phil Myre", 
"Gilles Gilbert", 
"Ken Broderick", 
"Bob Sneddon", 
"Jim Rutherford", 
"Michel Plasse", 
"Cam Newton", 
"Gilles Meloche", 
"Don McLeod", 
"Murray McLachlan", 
"Paul Hoganson", 
"Gerry Gray", 
"Ken Dryden", 
"Ken Brown", 
"Bobby Taylor", 
"Wayne Stephenson", 
"Billy Smith", 
"Jim McLeod", 
"Peter McDuffe", 
"Gary Kurt", 
"Ed Dyck", 
"Lyle Carter", 
"Andy Brown", 
"Wayne Thomas", 
"Gord McRae", 
"Dave McLelland", 
"Ron Low", 
"Bob Johnson", 
"Denis Herron", 
"Rocky Farr", 
"Bruce Bullock", 
"Ross Brooks", 
"Dan Bouchard", 
"Michel Belhumeur", 
"John Adams", 
"Jim Watt", 
"Mike Veisor", 
"Ted Tucker", 
"Terrance Richardson", 
"Glenn Resch", 
"Bill McKenzie", 
"Michel Larocque", 
"Gary Inness", 
"Doug Grant", 
"John Davidson", 
"Bob Champoux", 
"Gary Bromley", 
"Gary Simmons", 
"Curt Ridley", 
"Pete Lopresti", 
"Ken Lockett", 
"Pierre Hamel", 
"Michel Dumas", 
"Yves Belanger", 
"Bernie Wolfe", 
"Ed Staniowski", 
"Doug Soetaert", 
"Dave Reece", 
"Bill Oleschuk", 
"Jerome Mrazek", 
"Gordon Laxton", 
"Paul Harrison", 
"Gilles Gratton", 
"Dave Tataryn", 
"Bob Sauve", 
"Jim Pettie", 
"Mike Palmateer", 
"Don Edwards", 
"Rick St. Croix", 
"Greg Redquest", 
"Goran Hogosta", 
"Glen Hanlon", 
"Ron Grahame", 
"Jim Bedard", 
"Murray Bannerman", 
"Hardy Astrom", 
"Pete Peeters", 
"Robbie Moore", 
"Greg Millen", 
"Mario Lessard", 
"Rejean Lemelin", 
"Randy Ireland", 
"Rollie Boutin", 
"Vincent Tremblay", 
"James Stewart Jr", 
"Richard Sevigny", 
"Pat Riggin", 
"Nick Ricci", 
"Eddie Mio", 
"Lindsay Middlebrook", 
"Markus Mattsson", 
"Mike Liut", 
"Jean Levasseur", 
"Doug Keans", 
"Steve Janaszek", 
"Rob Holland", 
"John Garrett", 
"Robert Dupuis", 
"Michel Dion", 
"Donald Cutts", 
"Jiri Crha", 
"Jim Craig", 
"Jim Corsi", 
"Richard Brodeur", 
"Marco Baron", 
"Steve Baker", 
"Steve Weeks", 
"Rick Wamsley", 
"Dave Parro", 
"Paul Pageau", 
"Andy Moog", 
"Roland Melanson", 
"Larry Lozinski", 
"Ronald Loustel", 
"Claude Legris", 
"Jari Kaarela", 
"Al Jensen", 
"Ken Holland", 
"Rick Heinz", 
"Don Beaupre", 
"John Vanbiesbrouck", 
"Greg Stefan", 
"Warren Skorodenski", 
"Paul Skidmore", 
"Robert Parent", 
"Mike Moffat", 
"Corrado Micalef", 
"Clint Malarchuk", 
"Pelle Lindbergh", 
"Richard Laferriere", 
"Mark Holden", 
"Grant Fuhr", 
"Jacques Cloutier", 
"Mike Blake", 
"Mike Vernon", 
"Roberto Romano", 
"Shawn MacKenzie", 
"Gary Laskoski", 
"Brian Hayward", 
"Bob Froese", 
"Ken Ellacott", 
"Frank Caprice", 
"Tim Bernhardt", 
"Ken Wregget", 
"Ron Scott", 
"Steve Penney", 
"Bob Mason", 
"Bob Janecyk", 
"Kelly Hrudey", 
"Mario Gosselin", 
"Brian Ford", 
"Bruce Dowie", 
"Jon Casey", 
"Allan Bester", 
"Marc Behrend", 
"Tom Barrasso", 
"Michael Zanier", 
"Don Sylvestri", 
"Michael Sands", 
"Patrick Roy", 
"Daryl Reaugh", 
"Darren Pang", 
"Hannu Kamppuri", 
"Darren Jensen", 
"Darren Eliot", 
"Cleon Daskalakis", 
"Chris Clifford", 
"Wendell Young", 
"Kari Takko", 
"Sam St. Laurent", 
"Bill Ranford", 
"Chris Pusey", 
"Daren Puppa", 
"Kirk McLean", 
"Darrell May", 
"Mark Laforest", 
"Terry Kleisinger", 
"Glenn Healy", 
"Marc D'amour", 
"Alain Chevrier", 
"Craig Billington", 
"Chris Terreri", 
"Eldon Reddick", 
"Ron Hextall", 
"Steve Guenette", 
"Troy Gamble", 
"Karl Friesen", 
"Doug Dadswell", 
"Daniel Berthiaume", 
"Ron Tugnutt", 
"Peter Sidorkiewicz", 
"Vincent Riendeau", 
"Jeff Reese", 
"Alain Raymond", 
"Frank Pietrangelo", 
"Sean Burke", 
"Mario Brunetta", 
"Kay Whitmore", 
"Darcy Wakaluk", 
"Jimmy Waite", 
"Rick Tabaracci", 
"Jarmo Myllys", 
"Jeff Hackett", 
"Mark Fitzpatrick", 
"Randy Exelby", 
"Bob Essensa", 
"Tom Draper", 
"Tim Cheveldae", 
"Ed Belfour", 
"John Tanner", 
"Robb Stauber", 
"Mike Richter", 
"Andre Racicot", 
"Sergei Mylnikov", 
"Olie Kolzig", 
"Curtis Joseph", 
"Pat Jablonski", 
"Peter Ing", 
"Jim Hrivnak", 
"Bruce Hoffort", 
"Mike Greenlay", 
"Scott Gordon", 
"Stephane Fiset", 
"Stephane Beauregard", 
"Damian Rhodes", 
"Steve McKichan", 
"Ross McKay", 
"George Maneluk", 
"Daniel Lorenz", 
"David Littman", 
"Scott King", 
"Dominik Hasek", 
"David Gagnon", 
"Norm Foster", 
"Matt Delguidice", 
"Frederic Chabot", 
"Jean Claude Bergeron", 
"Warren Sharples", 
"Dominic Roussel", 
"Felix Potvin", 
"Michael O'Neill", 
"Ray Leblanc", 
"Trevor Kidd", 
"Arturs Irbe", 
"Guy Hebert", 
"David Goverde", 
"Wade Flaherty", 
"Chad Erickson", 
"Martin Brodeur", 
"Andrei Trefilov", 
"Tommy Soderstrom", 
"Darrin Madeley", 
"Mike Lenarduzzi", 
"Rick Knickle", 
"Corey Hirsch", 
"Byron Dafoe", 
"Corrie D'alessio", 
"John Blue", 
"Mike Bales", 
"Jocelyn Thibault", 
"Christian Soucy", 
"Garth Snow", 
"Mikhail Shtalenkov", 
"Chris Osgood", 
"Jason Muzzatti", 
"Jamie McLennan", 
"Les Kuntar", 
"Robert Dopson", 
"Wayne Cowley", 
"Fred Brathwaite", 
"Mike Torchia", 
"Jamie Storr", 
"Geoff Sarjeant", 
"Tommy Salo", 
"Blaine Lacher", 
"Nikolai Khabibulin", 
"Pauli Jaks", 
"Joaquin Gage", 
"Manny Fernandez", 
"Philippe De Rouville", 
"Jim Carey", 
"Jordan Willis", 
"Derek Wilkinson", 
"Jose Theodore", 
"Robbie Tallas", 
"Steve Shields", 
"Corey Schwab", 
"Jamie Ram", 
"Bruce Racine", 
"Scott Langkow", 
"Patrick Labrecque", 
"Kevin Hodson", 
"Eric Fichaud", 
"Martin Biron", 
"Scott Bailey", 
"Tomas Vokoun", 
"Roman Turek", 
"Paxton Schafer", 
"Dwayne Roloson", 
"Patrick Lalime", 
"Jean-Sebastien Giguere", 
"Mike Fountain", 
"Mike Dunham", 
"Parris Duffus", 
"Marc Denis", 
"Marcel Cousineau", 
"Kevin Weekes", 
"Peter Skudra", 
"Richard Shulmistra", 
"Rich Parent", 
"Tyler Moss", 
"Norm Maracle", 
"Dan Cloutier", 
"Zac Bierk", 
"Tom Askey", 
"Michael Rosati", 
"Jean-Marc Pelletier", 
"Steve Passmore", 
"Chris Mason", 
"Manny Legace", 
"Brent Johnson", 
"Sean Gauthier", 
"Tyrone Garner", 
"Robert Esche", 
"Martin Brochu", 
"Ryan Bach", 
"Jean-Sebastien Aubin", 
"Steve Valiquette", 
"Evgeni Nabokov", 
"Mike Minard", 
"Alfie Michaud", 
"Roberto Luongo", 
"Marc Lamothe", 
"Jean-Francois Labbe", 
"Dieter Kochan", 
"Jani Hurme", 
"Milan Hnilicka", 
"John Grahame", 
"Scott Fankhouser", 
"Brian Boucher", 
"Vitali Yeremeyev", 
"Marty Turco", 
"Travis Scott", 
"Philippe Sauve", 
"Andrew Raycroft", 
"Maxime Ouellet", 
"Mika Noronen", 
"Gregg Naumenko", 
"Neil Little", 
"Jan Lasak", 
"Michel Larocque", 
"Jason LaBarbera", 
"Evgeny Konstantinov", 
"Miikka Kiprusoff", 
"Johan Holmqvist", 
"Johan Hedberg", 
"Derek Gustafson", 
"Mathieu Garon", 
"Rick DiPietro", 
"Patrick Desrochers", 
"Mathieu Chouinard", 
"Sebastien Charpentier", 
"Roman Cechmanek", 
"Frederic Cassivi", 
"Sebastien Caron", 
"David Aebischer", 
"Vesa Toskala", 
"Mikael Tellqvist", 
"Martin Prusek", 
"Pasi Nurminen", 
"Olivier Michaud", 
"Jussi Markkanen", 
"Michael Leighton", 
"Simon Lajeunesse", 
"Michael Garnett", 
"Reinhard Divis", 
"Jean-Francois Damphousse", 
"Ty Conklin", 
"Scott Clemmensen", 
"Sebastien Centomo", 
"Ilya Bryzgalov", 
"Dan Blackburn", 
"Alex Auld", 
"Tim Thomas", 
"Curtis Sanford", 
"Dany Sabourin", 
"Cody Rudkowsky", 
"Ryan Miller", 
"Pascal Leclaire", 
"Cristobal Huet", 
"Josh Harding", 
"Martin Gerber", 
"Brian Finley", 
"Ray Emery", 
"Jason Bacashihua", 
"Craig Anderson", 
"Matthew Yeats", 
"Matt Underhill", 
"Rastislav Stana", 
"Antero Niittymaki", 
"Adam Munro", 
"Kari Lehtonen", 
"Marc-Andre Fleury", 
"Dan Ellis", 
"Wade Dubielewicz", 
"Andy Chiodo", 
"Cam Ward", 
"Hannu Toivonen", 
"Jordan Sigalet", 
"Nolan Schaefer", 
"Pekka Rinne", 
"Mike Morrison", 
"Robert McVicar", 
"Henrik Lundqvist", 
"David Leneveu", 
"Vitaly Kolesnik", 
"Jimmy Howard", 
"Chris Holt", 
"Adam Hauser", 
"Brian Eklund", 
"Yann Danis", 
"Corey Crawford", 
"Gerald Coleman", 
"Peter Budaj", 
"Adam Berkhoel", 
"Michael Wall", 
"Mike Smith", 
"Marek Schwarz", 
"Karri Ramo", 
"Tomas Popperle", 
"Fredrik Norrena", 
"Joey MacDonald", 
"Martin Houle", 
"Jaroslav Halak", 
"Yutaka Fukufuji", 
"Barry Brust", 
"Niklas Backstrom", 
"Tyler Weiman", 
"Daniel Taylor", 
"Tobias Stephan", 
"Tuukka Rask", 
"Jonathan Quick", 
"Carey Price", 
"Ondrej Pavelec", 
"Dimitri Patzold", 
"Curtis McElhinney", 
"Drew MacIntyre", 
"Daniel Lacosta", 
"Matt Keetley", 
"Jonas Hiller", 
"Thomas Greiss", 
"Erik Ersberg", 
"Brian Elliott", 
"Jonathan Bernier", 
"Chris Beckford-Tseu", 
"Semyon Varlamov", 
"Josh Tordjman", 
"Cory Schneider", 
"Justin Pogge", 
"Antti Niemi", 
"Michal Neuvirth", 
"Al Montoya", 
"Mike McKenna", 
"Steve Mason", 
"Peter Mannino", 
"Brent Krahn", 
"Riku Helenius", 
"Jeff Deslauriers", 
"John Curry", 
"Matt Climie", 
"Ben Bishop", 
"Matt Zaba", 
"Dustin Tokarski", 
"Alexander Salak", 
"Justin Peters", 
"Alexander Pechurskiy", 
"Anton Khudobin", 
"Chad Johnson", 
"Jonas Gustavsson", 
"Jhonas Enroth", 
"Jeremy Duchesne", 
"Devan Dubnyk", 
"Mike Brodeur", 
"Johan Backlund", 
"Alex Stalock", 
"James Reimer", 
"Kevin Poulin", 
"Timo Pielmeier", 
"Tom McCollum", 
"Jacob Markstrom", 
"Anders Lindback", 
"Robin Lehner", 
"Nathan Lawson", 
"Mikko Koskinen", 
"Henrik Karlsson", 
"Braden Holtby", 
"Cedrick Desjardins", 
"Mark Dekanich", 
"Sergei Bobrovsky", 
"Richard Bachman", 
"Allen York", 
"Brad Thiessen", 
"Iiro Tarkki", 
"Ben Scrivens", 
"Jussi Rynnas", 
"Anders Nilsson", 
"Mike Murphy", 
"Leland Irving", 
"Shawn Hunwick", 
"Matt Hackett", 
"Brian Foster", 
"Cristopher Nilstorp", 
"Petr Mrazek", 
"Darcy Kuemper", 
"Keith Kinkaid", 
"Carter Hutton", 
"Philipp Grubauer", 
"Jeff Frazee", 
"Viktor Fasth", 
"Jake Allen", 
"Sami Aittokallio", 
"Jeff Zatkoff", 
"Mark Visentin", 
"Cam Talbot", 
"Niklas Svedberg", 
"Kent Simpson", 
"Antti Raanta", 
"Joni Ortio", 
"Marek Mazanec", 
"Nathan Lieuwen", 
"Eddie Lack", 
"Connor Knapp", 
"Martin Jones", 
"Michael Hutchinson", 
"Magnus Hellberg", 
"Calvin Heeter", 
"Andrew Hammond", 
"Kristers Gudlevskis", 
"John Gibson", 
"Joacim Eriksson", 
"Jack Campbell", 
"Reto Berra", 
"Frederik Andersen", 
"Rob Zepp", 
"Andrei Vasilevskiy", 
"Malcolm Subban", 
"Mackenzie Skapski", 
"Calvin Pickard", 
"Andrey Makarov", 
"Troy Grosenick", 
"Anton Forsberg", 
"Chris Driedger", 
"Louis Domingue", 
"Scott Darling", 
"Tyler Bunz", 
"Laurent Brossoit", 
"Roman Will", 
"Scott Wedgewood", 
"Linus Ullmark", 
"Niklas Treutle", 
"Garret Sparks", 
"Juuse Saros", 
"Matthew O'Connor", 
"Matt Murray", 
"Charlie Lindgren", 
"Joonas Korpisalo", 
"Jason Kasdorf", 
"Connor Hellebuyck", 
"Christopher Gibson", 
"Pheonix Copley", 
"Mike Condon", 
"Jordan Binnington", 
"J-F Berube", 
"Anthony Stolarz", 
"Jeremy Smith", 
"David Rittich", 
"Alex Nedeljkovic", 
"Zane McIntyre", 
"Spencer Martin", 
"Marek Langhamer", 
"Tristan Jarry", 
"Jon Gillies", 
"Aaron Dell", 
"Jared Coreau", 
"Eric Comrie", 
"Antoine Bibeau", 
"Jorge Alves", 
"Adam Wilcox", 
"Harri Sateri", 
"Alex Lyon", 
"Maxime Lagace", 
"Adin Hill", 
"Brandon Halverson", 
"Jeff Glass", 
"Alexandar Georgiev", 
"Scott Foster", 
"Dylan Ferguson", 
"Thatcher Demko", 
"Collin Delia", 
"Casey DeSmith", 
"Oscar Dansk", 
"Kenneth Appleby", 
"Cal Petersen", 
"Edward Pasquale", 
"Sam Montembeault", 
"Hunter Miska", 
"Marcus Hogberg", 
"Carter Hart", 
"Kaden Fulcher", 
"Pavel Francouz", 
"Michael Dipietro", 
"Joey Daccord", 
"Kevin Boyle", 
"Landon Bow", 
"Mackenzie Blackwood", 
"Adam Werner", 
"Igor Shesterkin", 
"Gilles Senn", 
"Ilya Samsonov", 
"Cayden Primeau", 
"Elvis Merzlikins", 
"Matiss Kivlenieks", 
"Kasimir Kaskisuo", 
"Kaapo Kahkonen", 
"Jonas Johansson", 
"David Ayres", 
"Artyom Zagidulin", 
"Dan Vladar", 
"Veini Vehvilainen", 
"Vitek Vanecek", 
"Logan Thompson", 
"Jeremy Swayman", 
"Ilya Sorokin", 
"Stuart Skinner", 
"Ivan Prosvetov", 
"Jake Oettinger", 
"Alexei Melnichuk", 
"Ukko-Pekka Luukkonen", 
"Kevin Lankinen", 
"Josef Korenar", 
"Spencer Knight", 
"Ville Husso", 
"Michael Houser", 
"Filip Gustavsson", 
"Joseph Woll", 
"Karel Vejmelka", 
"Daniil Tarasov", 
"Arvid Soderblom", 
"Akira Schmid", 
"Zach Sawchenko", 
"Felix Sandstrom", 
"Jack LaFontaine", 
"Connor Ingram", 
"Adam Huska", 
"Joel Hofer", 
"Zach Fucale", 
"Lukas Dostal", 
"Nico Daws", 
"Justus Annunen", 
"Hugo Alnefelt")

player <- nhl_players_allseasons(names)

player <- player %>% select(seasonStart,league.name,starts_with("p"))
player <- rename(player,id=playerId)

playerdemo <- nhl_players(names) #this has height and weight
rename(playerdemo,playerID=id)

total <- left_join(player,playerdemo,by="id")
subset <- total %>% select(seasonStart,id,league.name,fullName,height,weight,currentTeam.name)

subset_nhl <- subset %>% filter(league.name=="National Hockey League")
subset_nhl <- arrange(subset_nhl, seasonStart, fullName)
subset_nhl <- subset_nhl %>% group_by(seasonStart) %>% filter (! duplicated(fullName))

subset_nhl <- mutate(subset_nhl,gretsky_era=ifelse(seasonStart>=1979 & seasonStart<=1998,1,0))
subset_nhl <- mutate(subset_nhl,ovechkin_era=ifelse(seasonStart>=2005,1,0))

write_xlsx(subset_nhl,path="subset_raw.xlsx",col_names=TRUE)

